Get Vidb Configuration

Get Vidb Configuration
Get vIDB configurations

Retrieves the current vCenter Identity Broker (vIDB/VCF SSO) configuration for OAuth authentication. Client secret is automatically redacted from the response for security.

Request
URI
GET
https://{server}:9443/api/admin/global/config/vidb
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved vIDB configuration

Returns VidbGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "vidb",
                "config": {
                    "name": "VCF SSO",
                    "clientId": "54716e4e-7992-4078-aad6-34f392529c54",
                    "issuerUrl": "https://vcf-sso.example.com/acs/t/CUSTOMER/",
                    "url": "vcf-sso.example.com",
                    "port": "443",
                    "tenant": "CUSTOMER",
                    "UUID": "a7b8c9d0-e1f2-3456-a123-567890123456"
                }
            }
        ]
    }
}
object
data
Required

data


404

Section not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section vidb not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Internal server error occurred",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/vidb